<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <title>マイページ</title>
    <!-- myPage.cssの読み込み -->
    <link href="css/myPage.css" rel="stylesheet" type="text/css" />
    <!-- header.cssの読み込み -->
    <link href="css/headerAdmin.css" rel="stylesheet" type="text/css" />
    <!-- common.cssの読み込み -->
    <link href="css/common.css" rel="stylesheet" type="text/css" />
    <!-- Bootstrapの読み込み -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
        integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
</head>

<body>
    <!-- ヘッダー -->
    <header>
        <nav class="navbar navbar-dark navbar-expand  flex-md-row header-one">
            <ul class="navbar-nav navbar-dark flex-row mr-auto header-two">
                <li class="nav-item active">
                    <a class="nav-link" href="home.html">【管理者】UserList</a>
                </li>
            </ul>
            <ul class="navbar-nav flex-row">
                <li class="nav-item">
                    <a class="nav-link" href="myPage.html">マイページ</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="cart.html">カート</a>
                </li>
                <li class="nav-item">
                    <a class="btn btn-primary" href="index.html">ログアウト</a>
                </li>
            </ul>
        </nav>
    </header>

    <div class="container mt-5">
        <!-- ユーザ一覧 -->
        <div>
            <div class="col-3 mx-auto">
                <h3>ユーザ一覧</h3>
            </div>
            <div class="container">
                <!-- 検索ボックス -->
                <div class="container mt-5">
                <div class="search-form-area">
                    <div class="panel-body">
                        <form method="post" action="UserListServlet" class="form-horizontal">
                            <div class="form-group row">
                                <label for="loginId" class="col-sm-2 col-form-label">ログインID</label>
                                <div class="col-sm-10">
                                    <input type="text" class="form-control" name="loginId" id="loginId">
                                </div>
                            </div>

                            <div class="form-group row">
                                <label for="userName" class="col-sm-2 col-form-label">ユーザ名</label>
                                <div class="col-sm-10">
                                    <input type="text" name="userName" class="form-control" id="userName">
                                </div>
                            </div>

                            <div class="form-group row">

                                <label for="birthDate" class="col-sm-2 col-form-label">生年月日</label>

                                <div class="row col-sm-10">
                                    <div class="col-sm-5">
                                        <input type="date" name="dateStart" class="form-control" id="date-start">
                                    </div>

                                    <div class="col-sm-1 text-center">~</div>
                                    <div class="col-sm-5">
                                        <input type="date" name="dateEnd" class="form-control" id="date-end">
                                    </div>
                                </div>
                            </div>
                            <div class="text-right">
                                <button type="submit" value="検索">検索</button>
                            </div>
                        </form>
                    </div>
                </div>

                <!-- 検索結果一覧 -->
                <div class="table-responsive">
                    <table class="table table-striped">
                        <thead class="thead-dark">
                            <tr>
                                <th>ログインID</th>
                                <th>ユーザ名</th>
                                <th>生年月日</th>
                                <th></th>
                            </tr>
                        </thead>
                        <tbody>
                            <c:forEach var="user" items="${userList}">
                                <tr>
                                    <td>${user.loginId}</td>
                                    <td>${user.name}</td>
                                    <td>${user.birthDate}</td>

                                    <!-- ログインボタンの表示制御を行う -->
                                    <td>
                                        <a class="btn btn-primary" href="UserDetailServlet?id=${user.id}">詳細</a>

                                        <c:if test="${userInfo.loginId == 'admin' or user.loginId == userInfo.loginId}">
                                            <a class="btn btn-success" href="UpdateServlet?id=${user.id}">更新</a>
                                        </c:if>

                                        <c:if test="${userInfo.loginId == 'admin'}">
                                            <a class="btn btn-danger" href="UserDeleteServlet?id=${user.id}">削除</a>
                                        </c:if>

                                    </td>
                                </tr>
                            </c:forEach>
                        </tbody>
                    </table>
                </div>

            </div>
        </div>

</body>

</html>